tabular-0.2.2.8: Two-dimensional data tables with rendering functions

Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Tabular.Html

Synopsis

- render :: (rh -> Html) -> (ch -> Html) -> (a -> Html) -> Table rh ch a -> Html
- vAttr :: Properties -> [HtmlAttr]
- hAttr :: Properties -> [HtmlAttr]
- css :: String -> Html
- defaultCss :: String

# Documentation

render :: (rh -> Html) -> (ch -> Html) -> (a -> Html) -> Table rh ch a -> Html Source #

vAttr :: Properties -> [HtmlAttr] Source #

hAttr :: Properties -> [HtmlAttr] Source #

css :: String -> Html Source #

Convenience function to add a CSS string to your HTML document

defaultCss :: String Source #

You need to incorporate some CSS into your file with the classes `thinbottom`, `thinright`, `thickbottom` and `thickright`. See `css`